MyGUI::types::TCoord< T > Struct Template Reference

`#include <MyGUI_TCoord.h>`

Inheritance diagram for MyGUI::types::TCoord< T >:
[legend]

## Public Member Functions

| TCoord ()=default
| TCoord (T const &_left, T const &_top, T const &_width, T const &_height)
| TCoord (TPoint< T > const &_point, TSize< T > const &_size)
TCoord & | operator-= (TCoord const &_obj)
TCoord & | operator+= (TCoord const &_obj)
TCoord | operator- (TCoord const &_obj) const
TCoord | operator- (TPoint< T > const &_obj) const
TCoord | operator- (TSize< T > const &_obj) const
TCoord | operator+ (TCoord const &_obj) const
TCoord | operator+ (TPoint< T > const &_obj) const
TCoord | operator+ (TSize< T > const &_obj) const
template<typename U>
TCoord & | operator= (TCoord< U > const &_obj)
TCoord & | operator= (TPoint< T > const &_obj)
TCoord & | operator= (TSize< T > const &_obj)
bool | operator== (TCoord const &_obj) const
bool | operator!= (TCoord const &_obj) const
T | right () const
T | bottom () const
void | clear ()
void | set (T const &_left, T const &_top, T const &_width, T const &_height)
void | swap (TCoord &_value)
bool | empty () const
TPoint< T > | point () const
TSize< T > | size () const
bool | inside (const TPoint< T > &_value) const
std::string | print () const

## Static Public Member Functions

static TCoord< T > | parse (std::string_view _value)

## Data Fields

T | left {}
T | top {}
T | width {}
T | height {}

## Friends

std::ostream & | operator<< (std::ostream &_stream, const TCoord< T > &_value)
std::istream & | operator>> (std::istream &_stream, TCoord< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TCoord< T >

Definition at line 18 of file MyGUI_TCoord.h.

## Constructor & Destructor Documentation

## TCoord() [1/3]

template<typename T>

MyGUI::types::TCoord< T >::TCoord | ( |  | ) |

default

## TCoord() [2/3]

template<typename T>

MyGUI::types::TCoord< T >::TCoord | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _width,
|  | T const & | _height )

inline

Definition at line 27 of file MyGUI_TCoord.h.

## TCoord() [3/3]

template<typename T>

MyGUI::types::TCoord< T >::TCoord | ( | TPoint< T > const & | _point,
|  | TSize< T > const & | _size )

inline

Definition at line 35 of file MyGUI_TCoord.h.

## Member Function Documentation

## bottom()

template<typename T>

T MyGUI::types::TCoord< T >::bottom | ( |  | ) | const

inline

Definition at line 130 of file MyGUI_TCoord.h.

## clear()

template<typename T>

void MyGUI::types::TCoord< T >::clear | ( |  | ) |

inline

Definition at line 135 of file MyGUI_TCoord.h.

## empty()

template<typename T>

bool MyGUI::types::TCoord< T >::empty | ( |  | ) | const

inline

Definition at line 155 of file MyGUI_TCoord.h.

## inside()

template<typename T>

bool MyGUI::types::TCoord< T >::inside | ( | const TPoint< T > & | _value | ) | const

inline

Definition at line 170 of file MyGUI_TCoord.h.

## operator!=()

template<typename T>

bool MyGUI::types::TCoord< T >::operator!= | ( | TCoord< T > const & | _obj | ) | const

inline

Definition at line 120 of file MyGUI_TCoord.h.

## operator+() [1/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator+ | ( | TCoord< T > const & | _obj | ) | const

inline

Definition at line 76 of file MyGUI_TCoord.h.

## operator+() [2/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator+ | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 81 of file MyGUI_TCoord.h.

## operator+() [3/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator+ | ( | TSize< T > const & | _obj | ) | const

inline

Definition at line 86 of file MyGUI_TCoord.h.

## operator+=()

template<typename T>

TCoord & MyGUI::types::TCoord< T >::operator+= | ( | TCoord< T > const & | _obj | ) |

inline

Definition at line 52 of file MyGUI_TCoord.h.

## operator-() [1/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator- | ( | TCoord< T > const & | _obj | ) | const

inline

Definition at line 61 of file MyGUI_TCoord.h.

## operator-() [2/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator- | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 66 of file MyGUI_TCoord.h.

## operator-() [3/3]

template<typename T>

TCoord MyGUI::types::TCoord< T >::operator- | ( | TSize< T > const & | _obj | ) | const

inline

Definition at line 71 of file MyGUI_TCoord.h.

## operator-=()

template<typename T>

TCoord & MyGUI::types::TCoord< T >::operator-= | ( | TCoord< T > const & | _obj | ) |

inline

Definition at line 43 of file MyGUI_TCoord.h.

## operator=() [1/3]

template<typename T>
template<typename U>

TCoord & MyGUI::types::TCoord< T >::operator= | ( | TCoord< U > const & | _obj | ) |

inline

Definition at line 92 of file MyGUI_TCoord.h.

## operator=() [2/3]

template<typename T>

TCoord & MyGUI::types::TCoord< T >::operator= | ( | TPoint< T > const & | _obj | ) |

inline

Definition at line 101 of file MyGUI_TCoord.h.

## operator=() [3/3]

template<typename T>

TCoord & MyGUI::types::TCoord< T >::operator= | ( | TSize< T > const & | _obj | ) |

inline

Definition at line 108 of file MyGUI_TCoord.h.

## operator==()

template<typename T>

bool MyGUI::types::TCoord< T >::operator== | ( | TCoord< T > const & | _obj | ) | const

inline

Definition at line 115 of file MyGUI_TCoord.h.

## parse()

template<typename T>

TCoord< T > MyGUI::types::TCoord< T >::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 183 of file MyGUI_TCoord.h.

## point()

template<typename T>

TPoint< T > MyGUI::types::TCoord< T >::point | ( |  | ) | const

inline

Definition at line 160 of file MyGUI_TCoord.h.

## print()

template<typename T>

std::string MyGUI::types::TCoord< T >::print | ( |  | ) | const

inline

Definition at line 176 of file MyGUI_TCoord.h.

## right()

template<typename T>

T MyGUI::types::TCoord< T >::right | ( |  | ) | const

inline

Definition at line 125 of file MyGUI_TCoord.h.

## set()

template<typename T>

void MyGUI::types::TCoord< T >::set | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _width,
|  | T const & | _height )

inline

Definition at line 140 of file MyGUI_TCoord.h.

## size()

template<typename T>

TSize< T > MyGUI::types::TCoord< T >::size | ( |  | ) | const

inline

Definition at line 165 of file MyGUI_TCoord.h.

## swap()

template<typename T>

void MyGUI::types::TCoord< T >::swap | ( | TCoord< T > & | _value | ) |

inline

Definition at line 148 of file MyGUI_TCoord.h.

## Friends And Related Symbol Documentation

## operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TCoord< T > & | _value )

friend

Definition at line 188 of file MyGUI_TCoord.h.

## operator>>

template<typename T>

std::istream & operator>> | ( | std::istream & | _stream,
|  | TCoord< T > & | _value )

friend

Definition at line 194 of file MyGUI_TCoord.h.

## Field Documentation

## height

template<typename T>

T MyGUI::types::TCoord< T >::height {}

Definition at line 23 of file MyGUI_TCoord.h.

## left

template<typename T>

T MyGUI::types::TCoord< T >::left {}

Definition at line 20 of file MyGUI_TCoord.h.

## top

template<typename T>

T MyGUI::types::TCoord< T >::top {}

Definition at line 21 of file MyGUI_TCoord.h.

## width

template<typename T>

T MyGUI::types::TCoord< T >::width {}

Definition at line 22 of file MyGUI_TCoord.h.

The documentation for this struct was generated from the following file:

- MyGUI_TCoord.h